[android-components](../../../index.md) / [mozilla.components.support.migration](../../index.md) / [FennecMigratorException](../index.md) / [MigrateSettingsException](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`MigrateSettingsException(cause: `[`Exception`](https://developer.android.com/reference/java/lang/Exception.html)`)`

Unexpected exception while migrating settings.

### Parameters

`cause` - Original exception which caused the problem.